Bug 1133736 - qemu should provide iothread and x-data-plane properties for /usr/libexec/qemu-kvm -device virtio-blk-pci,?
Summary: qemu should provide iothread and x-data-plane properties for /usr/libexec/qem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-26 03:19 UTC by lijin
Modified: 2016-08-15 20:53 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.0-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:54:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description lijin 2014-08-26 03:19:43 UTC
Description of problem:
when get help on possible properties of virtio-blk-pci with "/usr/libexec/qemu-kvm -device virtio-blk-pci,?",there is no info about iothread and x-data-plane,but actually i can boot up guest with -device virtio-blk-pci,iothread=xxx,x-data-plane=xxx,xxx

Version-Release number of selected component (if applicable):
kernel-3.10.0-145.el7.x86_64
qemu-kvm-rhev-2.1.0-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.get help on possible properties of virtio-blk-pci:
#/usr/libexec/qemu-kvm -device virtio-blk-pci,?

Actual results:
/usr/libexec/qemu-kvm -device virtio-blk-pci,?
virtio-blk-pci.class=uint32
virtio-blk-pci.ioeventfd=on/off
virtio-blk-pci.vectors=uint32
virtio-blk-pci.indirect_desc=on/off
virtio-blk-pci.event_idx=on/off
virtio-blk-pci.addr=pci-devfn
virtio-blk-pci.romfile=str
virtio-blk-pci.rombar=uint32
virtio-blk-pci.multifunction=on/off
virtio-blk-pci.command_serr_enable=on/off


Expected results:
there should be properties about iothread and x-data-plane,like this:
virtio-blk-pci.iothread=xxx
virtio-blk-pci.x-data-plane=xxx

Comment 2 Stefan Hajnoczi 2014-09-03 08:26:49 UTC
Backport of ef523587da4f213ca17133a90402d0815ecf08ee posted to rhvirt-patches.

Comment 3 Miroslav Rezanina 2014-09-17 07:37:57 UTC
Fix included in qemu-kvm-rhev-2.1.0-4.el7

Comment 5 Sibiao Luo 2014-09-22 04:22:38 UTC
- Reproduce this issue with qemu-kvm-rhev-2.1.0-3.el7.x86_64.
host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-152.el7.x86_64
qemu-kvm-rhev-2.1.0-3.el7.x86_64

# /usr/libexec/qemu-kvm -device virtio-blk-pci,?
virtio-blk-pci.class=uint32
virtio-blk-pci.ioeventfd=on/off
virtio-blk-pci.vectors=uint32
virtio-blk-pci.indirect_desc=on/off
virtio-blk-pci.event_idx=on/off
virtio-blk-pci.addr=pci-devfn
virtio-blk-pci.romfile=str
virtio-blk-pci.rombar=uint32
virtio-blk-pci.multifunction=on/off
virtio-blk-pci.command_serr_enable=on/off

- Verify this issue with qemu-kvm-rhev-2.1.0-4.el7.x86_64.
host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-152.el7.x86_64
qemu-kvm-rhev-2.1.0-4.el7.x86_64

# /usr/libexec/qemu-kvm -device virtio-blk-pci,?
virtio-blk-pci.iothread=link<iothread>
virtio-blk-pci.x-data-plane=bool
virtio-blk-pci.scsi=bool
virtio-blk-pci.config-wce=bool
virtio-blk-pci.serial=str
virtio-blk-pci.secs=uint32
virtio-blk-pci.heads=uint32
virtio-blk-pci.cyls=uint32
virtio-blk-pci.discard_granularity=uint32
virtio-blk-pci.bootindex=int32
virtio-blk-pci.opt_io_size=uint32
virtio-blk-pci.min_io_size=uint16
virtio-blk-pci.physical_block_size=uint16
virtio-blk-pci.logical_block_size=uint16
virtio-blk-pci.drive=str
virtio-blk-pci.virtio-backend=child<virtio-blk-device>
virtio-blk-pci.command_serr_enable=on/off
virtio-blk-pci.multifunction=on/off
virtio-blk-pci.rombar=uint32
virtio-blk-pci.romfile=str
virtio-blk-pci.addr=pci-devfn
virtio-blk-pci.event_idx=on/off
virtio-blk-pci.indirect_desc=on/off
virtio-blk-pci.vectors=uint32
virtio-blk-pci.ioeventfd=on/off
virtio-blk-pci.class=uint32
virtio-blk-pci.hotplugged=bool

Both old data-plane implementation (x-data-plane=on) and new syntax worked well.
e.g1:...-drive file=/home/my-data-disk.raw,if=none,id=data-disk,cache=none,format=raw,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,vectors=0,bus=pci.0,addr=0x7,scsi=off,scsi=off,config-wce=off,x-data-plane=on,drive=data-disk,id=disk

e.g2:...-object iothread,id=iothread0 -drive file=/home/my-data-disk.qcow2,if=none,id=drive-data-disk1,cache=none,format=qcow2,aio=native,werror=stop,rerror=stop,readonly=on -device virtio-blk-pci,drive=drive-data-disk1,bus=pci.0,addr=0x7,id=data-disk1,iothread=iothread0

Best Regards,
sluo

Comment 7 errata-xmlrpc 2015-03-05 09:54:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.